## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Upstream removed tests.
%bcond_with     tests

%global         srcname     azure-mgmt-cosmosdb

Name:           python-%{srcname}
Version:        7.0.0
Release:        %autorelease
Summary:        Microsoft Azure Cosmos DB Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Cosmos DB Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Sep 07 2022 Major Hayden <major@redhat.com> 7.0.0-1
- Update to 7.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 7.0.0~b6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Major Hayden <major@redhat.com> 7.0.0~b6-1
- Update to 7.0.0b6

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 7.0.0~b2-5
- Add tests

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 7.0.0~b2-4
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 7.0.0~b2-3
- Trivial spec file update

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 7.0.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 7.0.0~b2-1
- Update to 7.0.0b2

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 6.4.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 6.4.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 6.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 6.4.0-1
- Update to 6.4.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 6.3.0-1
- Initial import (#1971795)
